Share via


Boundaries - Search

Search for boundaries across all parties by fields and intersecting geometry.

POST /boundaries?api-version=2023-06-01-preview

URI Parameters

Name In Required Type Description
api-version
query True

string

The requested API version

Request Header

Name Required Type Description
Authorization True

string

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Request Body

Name Type Description
ids

string[]

Ids of the resource.

intersectsWithGeometry GeoJsonObject:

GeoJSON (For more details: https://geojson.org/). Note: Coordinates are expected in [Longitude, Latitude] format.

maxArea

number (double)

Maximum acreage of the boundary (inclusive).

maxCreatedDateTime

string (date-time)

Maximum creation date of resource (inclusive).

maxLastModifiedDateTime

string (date-time)

Maximum last modified date of resource (inclusive).

maxPageSize

integer (int32)

minimum: 10
maximum: 1000

Maximum number of items needed (inclusive). Minimum = 10, Maximum = 1000, Default value = 50.

minArea

number (double)

Minimum acreage of the boundary (inclusive).

minCreatedDateTime

string (date-time)

Minimum creation date of resource (inclusive).

minLastModifiedDateTime

string (date-time)

Minimum last modified date of resource (inclusive).

names

string[]

Names of the resource.

parentIds

string[]

Parent Ids of the resource.

parentType

BoundaryParentType

Type of the parent it belongs to.

propertyFilters

string[]

Filters on key-value pairs within the Properties object. e.g. "{testKey} eq {testValue}".

skipToken

string

Skip token for getting next set of results.

statuses

string[]

Statuses of the resource.

type

string

Type it belongs to.

Responses

Name Type Description
200 OK

BoundaryMetadataListResponse

Success

Other Status Codes

ErrorResponse

Error

Headers

x-ms-error-code: string

Security

Authorization

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Type: apiKey
In: header

Examples

Sample request

POST /boundaries?api-version=2023-06-01-preview

{
  "ids": [
    "BOUNDARY123"
  ],
  "names": [
    "John Smith's Boundary"
  ],
  "propertyFilters": [
    "RetailerId"
  ],
  "statuses": [
    "Active"
  ],
  "minCreatedDateTime": "2021-04-22T12:53:39Z",
  "maxCreatedDateTime": "2021-04-22T12:53:39Z",
  "minLastModifiedDateTime": "2021-04-22T12:53:39Z",
  "maxLastModifiedDateTime": "2021-04-22T12:53:39Z",
  "maxPageSize": 50,
  "skipToken": "string",
  "parentType": "Field",
  "parentIds": [
    "FIELD123"
  ],
  "intersectsWithGeometry": {
    "type": "Polygon",
    "coordinates": [
      [
        [
          10.98958969116211,
          45.284911882713146
        ],
        [
          11.004695892333984,
          45.284911882713146
        ],
        [
          11.004695892333984,
          45.29360722000945
        ],
        [
          10.98958969116211,
          45.29360722000945
        ],
        [
          10.98958969116211,
          45.284911882713146
        ]
      ]
    ]
  }
}

Sample response

{
  "value": [
    {
      "parentId": "FIELD123",
      "parentType": "Field",
      "area": {
        "unit": "Acre",
        "value": 60.405
      },
      "name": "John Smith's Boundary",
      "description": "Some description"
    }
  ],
  "skipToken": "string",
  "nextLink": "https://{{resourceName}}.farmbeats.azure.net/parties/{{partyId}}/seasonalFields/{{seasonalFieldId}}?api-version={{apiVersion}}&skipToken=%5b%7b%22token%22%3a%22%2bRID%3a%7e23TRC%3a10%23ISA%3d%22%2c%22range%22%3a%7b%22min%22%3a%22%22%2c%22max%22%3a%22FF%22%7d%7d%5d"
}

Definitions

Name Description
BoundaryMetadata

Schema of boundary resource metadata.

BoundaryMetadataListResponse

Paged response contains list of requested objects and a URL link to get the next set of results.

BoundaryParentType

Type of the parent it belongs to. i.e. Field, SeasonalField, Zone, Prescription, PlantTissueAnalysis, ApplicationData, HarvestData, TillageData, PlantingData.

Error

An error from the Azure AgPlatform service.

ErrorResponse

An error response from the Azure AgPlatform service. See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses for ErrorResponse reference document.

GeoJsonObjectType

GeoJSON object type.

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

Measure

Schema for storing measurement reading and unit.

MultiPolygon

MultiPolygon geometry.

Point

Point geometry.

Polygon

Polygon geometry.

SearchBoundaryQuery

SearchAllBoundaries and SearchBoundaries parameters.

BoundaryMetadata

Schema of boundary resource metadata.

Name Type Description
area

Measure

Schema for storing measurement reading and unit.

createdBy

string

Created by user/tenant id.

createdDateTime

string (date-time)

Date-time when resource was created, sample format: yyyy-MM-ddTHH:mm:ssZ.

description

string

minLength: 0
maxLength: 500

Textual description of the resource.

eTag

string

The ETag value to implement optimistic concurrency.

id

string

Unique resource ID.

modifiedBy

string

Modified by user/tenant id.

modifiedDateTime

string (date-time)

Date-time when resource was last modified, sample format: yyyy-MM-ddTHH:mm:ssZ.

name

string

minLength: 0
maxLength: 100

Name to identify resource.

parentId

string

Id of the parent it belongs to.

parentType

BoundaryParentType

Type of the parent it belongs to.

partyId

string

Party Id.

properties

A collection of key value pairs that belongs to the resource. Each pair must not have a key greater than 50 characters and must not have a value greater than 150 characters. Note: A maximum of 25 key value pairs can be provided for a resource and only string, numeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.

source

string

minLength: 2
maxLength: 100

Source of the resource.

status

string

minLength: 0
maxLength: 100

Status of the resource.

type

string

Type it belongs to.

BoundaryMetadataListResponse

Paged response contains list of requested objects and a URL link to get the next set of results.

Name Type Description
nextLink

string

Continuation link (absolute URI) to the next page of results in the list.

skipToken

string

Token used in retrieving the next page. If null, there are no additional pages.

value

BoundaryMetadata[]

List of requested objects.

BoundaryParentType

Type of the parent it belongs to. i.e. Field, SeasonalField, Zone, Prescription, PlantTissueAnalysis, ApplicationData, HarvestData, TillageData, PlantingData.

Value Description
Field
SeasonalField
Zone
Prescription
PlantTissueAnalysis
ApplicationData
PlantingData
TillageData
HarvestData

Error

An error from the Azure AgPlatform service.

Name Type Description
code

string

minLength: 1

Server-defined set of error codes.

details

Error[]

Array of details about specific errors that led to this reported error.

innererror

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

message

string

minLength: 1

Human-readable representation of the error.

target

string

Target of the error.

ErrorResponse

An error response from the Azure AgPlatform service. See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses for ErrorResponse reference document.

Name Type Description
error

Error

An error from the Azure AgPlatform service.

traceId

string

Unique trace Id.

GeoJsonObjectType

GeoJSON object type.

Value Description
Point
Polygon
MultiPolygon

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

Name Type Description
code

string

Specific error code than was provided by the containing error.

innererror

InnerError

Inner error containing list of errors.See https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object for InnerError reference document.

Measure

Schema for storing measurement reading and unit.

Name Type Description
unit

string

minLength: 1
maxLength: 50

Data unit.

value

number (double)

Data value.

MultiPolygon

MultiPolygon geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets Coordinates of GeoJSON Object. It must be an array of polygons, each polygon contains list of linear rings. For Polygons with more than one of these rings, the first MUST be the exterior ring, and any others MUST be interior rings.

type string:

MultiPolygon

GeoJSON object type.

Point

Point geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets the coordinate of this point. It must be an array of 2 or 3 elements for a 2D or 3D system.

type string:

Point

GeoJSON object type.

Polygon

Polygon geometry.

Name Type Description
coordinates

number[] (double)

Gets or sets type of the GeoJSON Object. It must be an array of linear ring coordinate arrays. For Polygons with more than one of these rings, the first MUST be the exterior ring, and any others MUST be interior rings.

type string:

Polygon

GeoJSON object type.

SearchBoundaryQuery

SearchAllBoundaries and SearchBoundaries parameters.

Name Type Default value Description
ids

string[]

Ids of the resource.

intersectsWithGeometry GeoJsonObject:

GeoJSON (For more details: https://geojson.org/). Note: Coordinates are expected in [Longitude, Latitude] format.

maxArea

number (double)

Maximum acreage of the boundary (inclusive).

maxCreatedDateTime

string (date-time)

Maximum creation date of resource (inclusive).

maxLastModifiedDateTime

string (date-time)

Maximum last modified date of resource (inclusive).

maxPageSize

integer (int32)

minimum: 10
maximum: 1000
50

Maximum number of items needed (inclusive). Minimum = 10, Maximum = 1000, Default value = 50.

minArea

number (double)

Minimum acreage of the boundary (inclusive).

minCreatedDateTime

string (date-time)

Minimum creation date of resource (inclusive).

minLastModifiedDateTime

string (date-time)

Minimum last modified date of resource (inclusive).

names

string[]

Names of the resource.

parentIds

string[]

Parent Ids of the resource.

parentType

BoundaryParentType

Type of the parent it belongs to.

propertyFilters

string[]

Filters on key-value pairs within the Properties object. e.g. "{testKey} eq {testValue}".

skipToken

string

Skip token for getting next set of results.

statuses

string[]

Statuses of the resource.

type

string

Type it belongs to.